org.apache.lucene.benchmark.byTask.tasks

## Class BenchmarkHighlighter

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.BenchmarkHighlighter

-     public abstract class BenchmarkHighlighter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BenchmarkHighlighter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `doHighlight(org.apache.lucene.index.IndexReader reader, int doc, java.lang.String field, org.apache.lucene.document.Document document, org.apache.lucene.analysis.Analyzer analyzer, java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BenchmarkHighlighter

          public BenchmarkHighlighter()

  - ### Method Detail

    - #### doHighlight

          public abstract int doHighlight(org.apache.lucene.index.IndexReader reader,
                                          int doc,
                                          java.lang.String field,
                                          org.apache.lucene.document.Document document,
                                          org.apache.lucene.analysis.Analyzer analyzer,
                                          java.lang.String text)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.